Bug 966381 - Allow to import servers from discovery queue via rest api
Allow to import servers from discovery queue via rest api
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.7
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.8
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 04:20 EDT by Heiko W. Rupp
Modified: 2013-09-11 05:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 05:53:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2013-05-23 04:20:45 EDT
The rest api already allows to find resources in inventory queue (see below)

It should be possible to take them into inventory via PUT call on their URI with a status changed to COMMITTED


$ curl -i -u rhqadmin:rhqadmin http://localhost:7080/rest/resource.json\?category=server\&status=new
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Pragma: No-cache
Cache-Control: no-cache
Expires: Thu, 01 Jan 1970 01:00:00 CET
Link: http://localhost:7080/rest/resource.json?category=server&status=new&page=0; rel='last'
Link: http://localhost:7080/rest/resource.json?category=server&status=new; rel='current'
X-collection-size: 2
Content-Type: application/json
Transfer-Encoding: chunked
Date: Thu, 23 May 2013 08:19:17 GMT

[{"resourceName":"snert","resourceId":10033,"typeName":"Samba Server","typeId":10630,"pluginName":"Samba","parentId":10031,"status":"NEW","links":[{"operationDefinitions":{"href":"http://localhost:7080/rest/
Comment 1 Heiko W. Rupp 2013-06-03 10:19:08 EDT
master 581a5b0
Comment 2 Heiko W. Rupp 2013-09-11 05:53:58 EDT
Bulk closing of old issues now that HRQ 4.9 is in front of the door.

If you think the issue has not been solved, then please open a new bug and mention this one in the description.

Note You need to log in before you can comment on or make changes to this bug.